<?php

namespace Wino;

/** @return string */
function winoAppUrl(string $path = "") {
  $url = ConfigurationApiUrl::value();
  $productionHost = 'https://app.wino.fr';
  $stagingHost = "https://staging--app-wino-pos.netlify.app";

  $host = $productionHost;
  if ($url === 'staging') $host = $stagingHost;

  $trimedPath = trim($path);
  $sep = $trimedPath === "" || strStartsWith($trimedPath, "/") ? "" : "/";
  return "$host$sep$trimedPath";
}
