<?php

namespace Wino;

/** @return bool */
function strStartsWith(string $haystack, string $needle) {
  return assertedBool(str_starts_with($haystack, $needle));
}

/** @return bool */
function strEndsWith(string $haystack, string $needle) {
  return assertedBool(str_ends_with($haystack, $needle));
}

/** @return bool */
function strContains(string $haystack, string $needle) {
  return assertedBool(str_contains($haystack, $needle));
}

/** @return string */
function strReplaceFirst(string $search, string $replace, string $subject) {
  $pos = strpos($subject, $search);
  if ($pos === false) return $subject;
  return substr_replace($subject, $replace, $pos, strlen($search));
}
