<?php

namespace Wino;

class LocaleTranslator {
  /** @return WinoTranslator */
  public static function from(string $locale) {
    $fr = new WinoTranslatorFr();
    switch (strtolower(trim($locale))) {
      case 'fr':
      return $fr;

      default:
      return $fr;
    }
  }

  /** @return WinoTranslator */
  public static function fromConfiguration(?int $userId = null) {
    return self::from(ConfigurationLocale::value($userId));
  }

  /** @return WinoTranslator */
  public static function fromConfigurationDefault() {
    return self::from(ConfigurationLocale::DEFAULT);
  }
}
