<?php

namespace Wino;

/** @return string */
function uuid() {
  return wp_generate_uuid4();
}

/**
 * Create a succession of lowcaps letters and space based on a uuid.
 * Used to generate unique tests values without confusing them with actaul uuid.
 *
 * @return string
 */
function uuidName(string $sep = " ") {
  return str_replace(
    ["-", "0", "1", "2", "3", "4", "5", "6", "7", "8", "9"],
    [$sep, "o", "i", "z", "e", "d", "s", "p", "t", "b", "g"],
    uuid()
  );
}
