<?php

namespace Wino;

/** @return string */
function renderAdminPageWrapStart(string $titleSuffix = "") {
  return '<div class="wrap"><h1>' . esc_html(get_admin_page_title()) . $titleSuffix . '</h1><div>';
}

/** @return string */
function renderAdminPageWrapEnd() {
  return '</div></div>';
}

/** @return string */
function renderDownloadButton(
  string $label,
  string $url,
  string $class = ""
) {
  return renderHtmlLink($url, $label, null, [
    'download' => true,
    'class' => "button $class"
  ]);
}

/** @return string */
function jsString(string $string) {
  return '\'' . trim(esc_js($string)) . '\'';
}
